#ifndef _KGR_PATCH_BSC1021417_H
#define _KGR_PATCH_BSC1021417_H

#if defined(CONFIG_XEN)

#include "local.h"

int kgr_patch_bsc1021417_init(void);
void kgr_patch_bsc1021417_cleanup(void);
void kgr_netbk_get_requests(struct xen_netbk *netbk, netif_t *netif,
	struct sk_buff *skb, struct netbk_tx_gop *gop);
void kgr_net_tx_action(unsigned long group);
#else

int kgr_patch_bsc1021417_init(void)
{
	return 0;
}
void kgr_patch_bsc1021417_cleanup(void) { }

/*
 * No other functions defined here is intentional. Should cause build error.
 * We do not want to patch it on other archs, so this enforces #ifdef in
 * kgr_patch structure.
 */
#endif

#endif
